// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
/**************************************************************************/
/*                                                                        */
/*  FILENAME                                                              */
/*  ========                                                              */
/*  deceit_lookup_table.h                                                 */
/*                                                                        */
/*                                                                        */
/*  SUBSYSTEM                                                             */
/*  =========                                                             */
/*  XMM SAS -  DECEIT                                                     */
/*                                                                        */
/*                                                                        */
/*  TITLE                                                                 */
/*  =====                                                                 */
/*  Public header file for interface to deceit lookup table.              */
/*                                                                        */
/*                                                                        */
/*  AUTHORS                                                               */
/*  =======                                                               */
/*  Mark Thomas                                                           */
/*  CARA Software & Services Ltd                                          */
/*                                                                        */
/*                                                                        */
/*  CONSTRAINTS                                                           */
/*  ===========                                                           */
/*  All typedefs and functions given in this header file are for          */
/*  public use.                                                           */
/*                                                                        */
/*                                                                        */
/*  DESCRIPTION                                                           */
/*  ===========                                                           */
/*  Public Header file for interface to deceit interpreter lookup table.  */
/*                                                                        */
/*                                                                        */
/*  EXAMPLE                                                               */
/*  =======                                                               */
/*                                                                        */
/*                                                                        */
/*                                                                        */
/**************************************************************************/



#ifndef __DECEIT_LOOKUP_TABLE_H
#define __DECEIT_LOOKUP_TABLE_H

#ifdef __cplusplus
extern "C" {
#endif

void addDLFunctionToLookupTable(
		const char*	libraryName,
		const char * 	functionName,
		DataType	returnType );

#ifdef __cplusplus
           }
#endif

#endif


